Subject: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Gerd Möllmann <[email-masked]>
Date: Mon, 21 Jul 2025 16:02:32 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Alvaro Ramirez <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Mon, 21 Jul 2025 14:20:24 +0100
>> 
>> > From the discussion of bug#76765, my impression was that the 
>> > problem
>> > was not caused by any change in the Emacs code.  You seem to 
>> > imply
>> > differently?
>> 
>> I looked at changes for v30 and narrowed the regression down to 
>> this change:
>> 
>> https://lists.gnu.org/archive/html/bug-gnu-emacs/2024-07/msg01310.html
>> 
>> To fix macOS dictation, we have two options:
>> 
>> 1. Roll back the patch from msg01310 (migrating to 
>> NSTextInputClient) and re-introduce the warning.
>> 2. Roll forward with a fix on top of the NSTextInputClient 
>> migration.
>> 
>> My patch is for 2.
>
> Gerd, any comments?

I think (1) is not a good option because Apple says in its
documentation, to cite from bug#69525

    Important

    NSTextInput protocol is slated for deprecation. Please use the
    NSTextInputClient protocol instead.

  I guess that's the reason for the warning, and we should switch to using
  NSTextInputClient.